<?php
namespace User\Src;
use Dever;
use User\Lib\Core;
class Auth extends Core 
{
	# 获取认证信息
    public function getInfo()
    {
        return Dever::load('user/lib/auth')->getInfo($this->uid);
    }

    # 提交认证信息
    public function update()
    {
        $uid = $this->uid;
        $id = Dever::input('id');
        $name = Dever::input('name');
        $idcard = Dever::input('idcard');
        $idcard_front = Dever::input('idcard_front');
        $idcard_back = Dever::input('idcard_back');
        $type = Dever::input('type', 1);
        $tel = Dever::input('tel');
        $email = Dever::input('email');
        $area = Dever::input('area');
        $address = Dever::input('address');

        return Dever::load('user/lib/auth')->update($id, $uid, $name, $idcard, $idcard_front, $idcard_back, $type, $tel, $email, $area, $address);
    }
}