<?php
namespace User\Src;
use Dever;
use User\Lib\Core;
class Invoice extends Core
{
    # 获取默认地址
    public function getData()
    {
        return Dever::load('user/lib/invoice')->getData($this->uid);
    }

    # 获取某个发票
    public function getInfo()
    {
        $id = Dever::input('id');
        if (!$id) {
            Dever::alert('请选择发票id');
        }
        return Dever::load('user/lib/invoice')->getInfo($this->uid, $id);
    }

    # 获取地址列表
    public function getList()
    {
        return Dever::load('user/lib/invoice')->getList($this->uid);
    }


    # 删除和恢复
    public function delete()
    {
        $id = Dever::input('id');
        if (!$id) {
            Dever::alert('请选择发票id');
        }
        return Dever::load('user/lib/invoice')->getList($this->uid, $id, 2);
    }

    # 添加或者更新地址接口
    public function update()
    {
        $source_id = $this->uid;
        $source_table = 'user/info';
        $id = Dever::input('id');
        $type = Dever::input('type', 2);
        $title_type = Dever::input('title_type', 2);
        $title = Dever::input('title');
        $email = Dever::input('email');
        $mobile = Dever::input('mobile');
        $number = Dever::input('number');
        $phone = Dever::input('phone');
        $address = Dever::input('address');
        $bank = Dever::input('bank');
        $bank_number = Dever::input('bank_number');

        return Dever::load('user/lib/invoice')->update($id, $source_id, $source_table, $type, $title_type, $title, $email, $mobile, $number, $phone, $address, $bank, $bank_number);
    }
}
